//#include <TimerOne.h> // inclusion de la librairie Timer1 pour Uno
//#include <DueTimer.h> // inclusion de la librairie Timer3 pour Due
#include <CurieTimerOne.h> // inclusion de la librairie CurieTimer pour 101

const int attente = 0;
const int acquisition = 1;
const int cMax = 2;
word a[cMax];
unsigned long timeRes = 5000;
/* timeRes doit être plus long que l'envoi d'une trame
à 115200 baud avec 3 voies + le temps, sur 5 caractères plus la virgiule 
et CR LF terminal, cela donne environ 2,5 ms 
*/
int tZero = 0;
int etat = 0;

void setup() {
  Serial.begin(115200);
  //  pinMode(ledStart, OUTPUT);
  //  pinMode(ledEnvoi, OUTPUT);
  // Timer1.initialize(timeRes); // Uno
  // Timer1.attachInterrupt(Echant); // Uno
//  Timer3.setPeriod(timeRes);// Due
//  Timer3.attachInterrupt(Echant); // Due
//  Timer3.start(); // Due
    CurieTimerOne.start(timeRes, Echant); // Curie
}

void Echant() {
  if (etat == acquisition) {
    float tension;
    float times = (millis() - tZero) / 1000.0;
    for (int c = 0; c < cMax; c++)
    { a[c] = analogRead(0);
    }
    Serial.print(times, 3);
    for (int c = 0; c < cMax; c++)
    { tension = a[c] * 5.0 / 1024;
      Serial.print(",");
      Serial.print(tension, 2);
    }
    Serial.println();
  }
}

void loop() {
  if (Serial.available()) {
    char carac = Serial.read();
    if (carac == 'S') {
      etat = acquisition;
      tZero = millis();
    }
    else {
      etat = attente;
    }
  }
}
